package intrinsic.mx.rpc;

public class AsyncToken extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public intrinsic.mx.messaging.messages.IMessage message;
	public intrinsic.Array responders;
	public Object result;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AsyncToken() {
}

public AsyncToken(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void setMessage(intrinsic.mx.messaging.messages.IMessage arg0);
public native boolean hasResponder();
public native void addResponder(intrinsic.mx.rpc.IResponder arg0);
public native void setResult(Object arg0);
public native void applyResult(intrinsic.mx.rpc.events.ResultEvent arg0);
public native void applyFault(intrinsic.mx.rpc.events.FaultEvent arg0);

}
